wipe;

% inputs & inits
xlsnam = 'SeaLevel.xlsx';
delete(xlsnam);
infil = '../slvlprms/dat/SeaLevel.mat';
load(infil);

% metadata sheet
xlswrite(xlsnam,{'dan.codiga@gmail.com NBEP Contract 2018-2019'},...
    'Metadata','A1');
xlswrite(xlsnam,{'Sea Levels'},'Metadata','A2');
xlswrite(xlsnam,{'Prov Lat (deg N):';41.806667;}','Metadata','A4:B4');
xlswrite(xlsnam,{'Prov Lon (deg E):';-71.400;}','Metadata','A5:B5');
xlswrite(xlsnam,{'Newp Lat (deg N):';41.503333;}','Metadata','A6:B6');
xlswrite(xlsnam,{'Newp Lon (deg E):';-71.326667;}','Metadata','A7:B7');
xlswrite(xlsnam,{'DateTimes:';'Eastern Standard Time'}','Metadata',...
    'A8:B8');
xlswrite(xlsnam,{'"hrss":'; 'Hourly'}','Metadata',...
    'A10:B10');
xlswrite(xlsnam,{'"lp12":';...
    '12-hour subsampled low-pass (25-hr half-width triangle-weight)';}',...
    'Metadata','A11:B11');
xlswrite(xlsnam,{'"wl":';
    'Water level, m (rel. mean lower low water) ';}','Metadata','A13:B13');
xlswrite(xlsnam,{'"awl":';
    ['Adjusted water level (inverse-barometer corrected), m '...
    '(rel. mean lower low water)'];}','Metadata','A14:B14');
xlswrite(xlsnam,{'"wld":';'Water level difference, m';}','Metadata',...
    'A15:B15');
xlswrite(xlsnam,{'"awld":';'Adjusted water level difference, m';}',...
    'Metadata','A16:B16');
xlswrite(xlsnam,{'"prlnp":';'Providence less Newport';}','Metadata',...
    'A17:B17');
xlswrite(xlsnam,{'Missing data:';['For some of the record, awl and awld'...
    ' are blank because no atmospheric pressure data are available'];}',...
    'Metadata','A19:B19');

% hrss sheet
fprintf('working on hrss sheet\n');
n = length(hrss.dnest);
names = {'dnest';'wl_Prov';'awl_Prov';'wl_Newp';'awl_Newp';'wld_prlnp';...
    'awld_prlnp';};
for i = 1:length(names)
   col = char(i+64); % starts with A (66)
   fprintf('working on column %s (%d of %d)\n',col,i,length(names));
   if i==1
       dat = cell(n,1);
       for j = 1:n
           dat{j} = datestr(hrss.dnest(j));
       end
       xlswrite(xlsnam,dat,'hrss',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{'DateTime'},'hrss','A1');
   else
       dat = eval(sprintf('hrss.%s',names{i}));
       xlswrite(xlsnam,dat','hrss',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{names{i}},'hrss',sprintf('%s1',col));
   end
end      
   
% lp12 sheet
fprintf('working on lp12 sheet\n');
n = length(lp12.dnest);
for i = 1:length(names)
   col = char(i+64); % starts with A (66)
   fprintf('working on column %s (%d of %d)\n',col,i,length(names));
   if i==1
       dat = cell(n,1);
       for j = 1:n
           dat{j} = datestr(lp12.dnest(j));
       end
       xlswrite(xlsnam,dat,'lp12',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{'DateTime'},'lp12','A1');
   else
       dat = eval(sprintf('lp12.%s',names{i}));
       xlswrite(xlsnam,dat','lp12',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{names{i}},'lp12',sprintf('%s1',col));
   end
end   
   
% remove Sheet1
newExcel = actxserver('excel.application');
newExcel.DisplayAlerts = false;
xls = newExcel.Workbooks.Open([pwd '\' xlsnam],0,false);
xls.Sheets.Item(1).Delete;
xls.Save();
xls.Close();
newExcel.Quit();
delete(newExcel);

% move to final destination
movefile(xlsnam,['../../../DataFiles/' xlsnam]);
