% hdr 001: defaults; through 2017

forceretrieve = 1;

yr = 1999:2017;

% folders where raw files are stored
wldir = 'dat\Hght\';
pdir = 'dat\Pres\';

% choice of stations
stn.name = {'Prov'; 'Newp';};
stn.id = {'8454000'; '8452660';};

% url where water level data can be retrieved
wlurl.p1 = ['https://opendap.co-ops.nos.noaa.gov/ioos-dif-sos/SOS?'...
    'service=SOS&request=GetObservation&version=1.0.0&observedProperty='...
    'water_surface_height_above_reference_datum&offering='...
    'urn:ioos:station:NOAA.NOS.CO-OPS:']; 
% 7-digit stn.id here 
wlurl.p2 = '&responseFormat=text/tab-separated-values&eventTime=';
% 4-digit year here
wlurl.p3 = '-01-01T00:00:00Z/';
% 4-digit year here too
wlurl.p4 = ['-12-31T23:00:00Z&result=VerticalDatum%3D%3Durn:ioos:def:'...
    'datum:noaa::MLLW&dataType=VerifiedHourlyHeight&unit=Meters'];

% url where atm pressure data can be retrieved
purl.p1 = ['https://opendap.co-ops.nos.noaa.gov/ioos-dif-sos/SOS?'...
    'service=SOS&request=GetObservation&version=1.0.0&observedProperty='...
    'air_pressure&offering=urn:ioos:station:NOAA.NOS.CO-OPS:']; 
% 7-digit stn.id here 
purl.p2 = '&responseFormat=text/tab-separated-values&eventTime=';
% 4-digit year + '-' + 2-digit month here
purl.p3 = '-01T00:00:00Z/';
% 4-digit year + '-' + (next) 2-digit month here
purl.p4 = '-01T00:00:00Z';

% lowpass params
hlfwid = 25; % hours
minpct = 25;
gaplen = 1.4; % fraction of halfwidraw

