wipe;

% inputs & inits
xlsnam = 'TidalRange.xlsx';
delete(xlsnam);
infil = '../tidprms/dat/TidalRange.mat';
load(infil);

% metadata sheet
xlswrite(xlsnam,{'dan.codiga@gmail.com NBEP Contract 2018-2019'},...
    'Metadata','A1');
xlswrite(xlsnam,{'Tidal Ranges'},'Metadata','A2');
xlswrite(xlsnam,{'Newp Lat (deg N):';41.503333;}','Metadata','A4:B4');
xlswrite(xlsnam,{'Newp Lon (deg E):';-71.326667;}','Metadata','A5:B5');
xlswrite(xlsnam,{'DateTimes:';'Eastern Standard Time'}','Metadata',...
    'A6:B6');
xlswrite(xlsnam,{'"raw":'; 'Hourly'}','Metadata',...
    'A8:B8');
xlswrite(xlsnam,{'"hght":';...
    'Predicted tidal height, m (rel. mean lower low water)';}',...
    'Metadata','A9:B9');
xlswrite(xlsnam,{'"dymn12":';
    'Daily mean values, interpolated to 12-hour grid';}',...
    'Metadata','A11:B11');
xlswrite(xlsnam,{'"rng":';
    ['Tidal range: Daily mean of differences between successive high '...
    'and low water, m '];}','Metadata','A12:B12');
xlswrite(xlsnam,{'"rngcbd":';'Tidal range cubed, m3';}','Metadata',...
    'A13:B13');

% raw sheet
fprintf('working on raw sheet\n');
n = length(raw.dnest);
names = {'dnest';'hght';};
for i = 1:length(names)
   col = char(i+64); % starts with A (66)
   fprintf('working on column %s (%d of %d)\n',col,i,length(names));
   if i==1
       dat = cell(n,1);
       for j = 1:n
           dat{j} = datestr(raw.dnest(j));
       end
       xlswrite(xlsnam,dat,'raw',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{'DateTime'},'raw','A1');
   else
       dat = eval(sprintf('raw.%s',names{i}));
       xlswrite(xlsnam,dat','raw',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{names{i}},'raw',sprintf('%s1',col));
   end
end      
   
% dymn12 sheet
fprintf('working on dymn12 sheet\n');
n = length(dymn12.dnest);
names = {'dnest';'rng';'rngcbd';};
for i = 1:length(names)
   col = char(i+64); % starts with A (66)
   fprintf('working on column %s (%d of %d)\n',col,i,length(names));
   if i==1
       dat = cell(n,1);
       for j = 1:n
           dat{j} = datestr(dymn12.dnest(j));
       end
       xlswrite(xlsnam,dat,'dymn12',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{'DateTime'},'dymn12','A1');
   else
       dat = eval(sprintf('dymn12.%s',names{i}));
       xlswrite(xlsnam,dat','dymn12',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{names{i}},'dymn12',sprintf('%s1',col));
   end
end   
   
% remove Sheet1
newExcel = actxserver('excel.application');
newExcel.DisplayAlerts = false;
xls = newExcel.Workbooks.Open([pwd '\' xlsnam],0,false);
xls.Sheets.Item(1).Delete;
xls.Save();
xls.Close();
newExcel.Quit();
delete(newExcel);

% move to final destination
movefile(xlsnam,['../../../DataFiles/' xlsnam]);
