wipe;

% inputs & inits
xlsnam = 'WindsNARR.xlsx';
delete(xlsnam);
infil = '../nc2wndprms/dat/WindsNARR.mat';
load(infil);

% metadata sheet
xlswrite(xlsnam,{'dan.codiga@gmail.com NBEP Contract 2018'},...
    'Metadata','A1');
xlswrite(xlsnam,{'Winds'},'Metadata','A2');
xlswrite(xlsnam,{'Lat (deg N):';lat;}','Metadata','A4:B4');
xlswrite(xlsnam,{'Lon (deg E):';lon;}','Metadata','A5:B5');
xlswrite(xlsnam,{'Elevation:';'10 m';}','Metadata','A6:B6');
xlswrite(xlsnam,{'DateTimes:';'Eastern Standard Time'}','Metadata',...
    'A7:B7');
xlswrite(xlsnam,{'"raw"';
    'Instantaneous 3-hourly value from NARR simulation'}','Metadata',...
    'A9:B9');
xlswrite(xlsnam,{'"dymn"';'Daily mean';}','Metadata','A10:B10');
xlswrite(xlsnam,{'"lp12"';...
    '12-hour subsampled low-pass (25-hr half-width triangle-weight)';}',...
    'Metadata','A11:B11');
xlswrite(xlsnam,{'"uwnd"';'Eastward wind, m s-1';}','Metadata','A13:B13');
xlswrite(xlsnam,{'"vwnd"';'Northward wind, m s-1';}','Metadata','A14:B14');
xlswrite(xlsnam,{'"wndspd"';'Wind speed, m s-1';}','Metadata','A15:B15');
xlswrite(xlsnam,{'"spdcbd"';'Wind speed cubed, m3 s-3';}',...
    'Metadata','A16:B16');
xlswrite(xlsnam,{'"wnddir"';...
    'Direction wind toward, radians CCW rel Eastward';}',...
    'Metadata','A17:B17');
xlswrite(xlsnam,{'"toN"';'Speed, wind component toward North, m s-1';}',...
    'Metadata','A18:B18');
xlswrite(xlsnam,{'"toXX';' " " direction XX " "'}','Metadata','A19:B19');

% raw sheet
fprintf('working on raw sheet\n');
n = length(raw.dnest);
names = {'dnest';'uwnd';'vwnd';'wndspd';'spdcbd';'wnddir';...
    'toN';'toNNE';'toNE';'toENE';'toE';'toESE';'toSE';'toSSE';...
    'toS';'toSSW';'toSW';'toWSW';'toW';'toWNW';'toNW';'toNNW';};
for i = 1:length(names)
   col = char(i+64); % starts with A (66)
   fprintf('working on column %s (%d of %d)\n',col,i,length(names));
   if i==1
       dat = cell(n,1);
       for j = 1:n
           dat{j} = datestr(raw.dnest(j));
       end
       xlswrite(xlsnam,dat,'raw',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{'DateTime'},'raw','A1');
   else
       dat = eval(sprintf('raw.%s',names{i}));
       xlswrite(xlsnam,dat','raw',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{names{i}},'raw',sprintf('%s1',col));
   end
end      
   
% dymn sheet
fprintf('working on dymn sheet\n');
n = length(dymn.dnest);
for i = 1:length(names)
   col = char(i+64); % starts with A (66)
   fprintf('working on column %s (%d of %d)\n',col,i,length(names));
   if i==1
       dat = cell(n,1);
       for j = 1:n
           dat{j} = datestr(dymn.dnest(j));
       end
       xlswrite(xlsnam,dat,'dymn',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{'DateTime'},'dymn','A1');
   else
       dat = eval(sprintf('dymn.%s',names{i}));
       xlswrite(xlsnam,dat','dymn',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{names{i}},'dymn',sprintf('%s1',col));
   end
end   

% lp12 sheet
fprintf('working on lp12 sheet\n');
n = length(lp12.dnest);
for i = 1:length(names)
   col = char(i+64); % starts with A (66)
   fprintf('working on column %s (%d of %d)\n',col,i,length(names));
   if i==1
       dat = cell(n,1);
       for j = 1:n
           dat{j} = datestr(lp12.dnest(j));
       end
       xlswrite(xlsnam,dat,'lp12',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{'DateTime'},'lp12','A1');
   else
       dat = eval(sprintf('lp12.%s',names{i}));
       xlswrite(xlsnam,dat','lp12',sprintf('%s2:%s%d',col,col,n+1));
       xlswrite(xlsnam,{names{i}},'lp12',sprintf('%s1',col));
   end
end   
   
% remove Sheet1
newExcel = actxserver('excel.application');
newExcel.DisplayAlerts = false;
xls = newExcel.Workbooks.Open([pwd '\' xlsnam],0,false);
xls.Sheets.Item(1).Delete;
xls.Save();
xls.Close();
newExcel.Quit();
delete(newExcel);

% move to final destination
movefile(xlsnam,['../../../DataFiles/' xlsnam]);
